stable
FEDORA-2018-7aff14ecad created by nickc 4 years ago for Fedora 28

Rebuilt using gcc 8.1.1. Since annobin is a gcc plugin it must be built by exactly the same version of gcc as will be used when it is run. (GCC does not have a stable API for plugins...). Hence since gcc has just been updated to 8.1.1. it was necessary to rebuild annobin.

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2018-7aff14ecad

This update has been submitted for testing by nickc.

4 years ago

This update has been pushed to testing.

4 years ago
User Icon besser82 commented & provided feedback 4 years ago
karma

Works great! LGTM! =)

works with new gcc.

User Icon cserpentis commented & provided feedback 4 years ago
karma

works for me

User Icon aflyhorse commented & provided feedback 4 years ago
karma

(forgot to add karma)

This update has been submitted for batched by bodhi.

4 years ago

This update has been submitted for stable by bodhi.

4 years ago
User Icon evillagr commented & provided feedback 4 years ago
karma

work fine

This update has been pushed to stable.

4 years ago

Problem still exist for annobin-5.7-2.fc28.i686.

annobin: _psutil_common.c: Error: plugin built for compiler version (8.0.1) but run with compiler version (8.1.1) cc1: error: fail to initialize plugin /usr/lib/gcc/i686-redhat-linux/8/plugin/annobin.so

Are you sure that it was annobin-5.7.2.fc28.i686 ? I just tried it locally and it worked for me.

try running sudo dnf update gcc which made the shipped version of gcc play nice with the shipped version of annobin, cause there was a mismatch.

karma: +1


Please login to add feedback.

Metadata
Type
bugfix
Severity
medium
Karma
4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
4 years ago
in testing
4 years ago
in stable
4 years ago
BZ#1574478 gcc is unable to create any executables due to mis-matched annobin build
0
0

Automated Test Results